package com.wanyue.inside.bean;

import android.os.Parcel;
import android.os.Parcelable;

import com.wanyue.common.bean.UserBean;

import java.util.List;

public class Testbean implements Parcelable {
    private List<UserBean>mUserBeanList;

    protected Testbean(Parcel in) {
        mUserBeanList = in.createTypedArrayList(UserBean.CREATOR);
    }

    @Override
    public void writeToParcel(Parcel dest, int flags) {
        dest.writeTypedList(mUserBeanList);
    }

    @Override
    public int describeContents() {
        return 0;
    }

    public static final Creator<Testbean> CREATOR = new Creator<Testbean>() {
        @Override
        public Testbean createFromParcel(Parcel in) {
            return new Testbean(in);
        }

        @Override
        public Testbean[] newArray(int size) {
            return new Testbean[size];
        }
    };
}
